Bug 710386 - Review Request: gnome-shell-extension-system-monitor-applet - A Gnome shell system monitor extension
Review Request: gnome-shell-extension-system-monitor-applet - A Gnome shell s...
Status: CLOSED DUPLICATE of bug 755510
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 05:43 EDT by Fabian Affolter
Modified: 2012-01-30 20:30 EST (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-17 11:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-shell-extension-system-monitor-applet for F15 and F16 spec file (3.58 KB, text/x-rpm-spec)
2011-10-27 17:14 EDT, nicolas.vieville
no flags Details
gnome-shell-extension-system-monitor-applet patch for master branch and F16 (1.22 KB, patch)
2011-10-27 17:16 EDT, nicolas.vieville
no flags Details | Diff
gnome-shell-extension-system-monitor-applet patch for gnome-3.0 branch and F15 (1.64 KB, patch)
2011-10-27 17:17 EDT, nicolas.vieville
no flags Details | Diff
special translations gnome-shell-extension-system-monitor-applet for F15 and F16 spec file (3.74 KB, text/x-rpm-spec)
2011-10-28 15:07 EDT, nicolas.vieville
no flags Details
New spec file for F-15 and F-16 (3.95 KB, text/x-rpm-spec)
2011-10-29 12:22 EDT, nicolas.vieville
no flags Details
New spec file for F-15 and F-16 - 2 (4.00 KB, text/x-rpm-spec)
2011-11-01 13:28 EDT, nicolas.vieville
no flags Details

  None (edit)
Description Fabian Affolter 2011-06-03 05:43:57 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gnome-shell-extensions-system-monitor.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gnome-shell-extensions-system-monitor-0.9-1.fc15.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

Description:
Display system informations in gnome shell status bar, such as memory usage,
cpu usage, and network rate.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3107807

rpmlint output:
[fab@laptop021 SRPMS]$ rpmlint gnome-shell-extensions-system-monitor*1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop021 noarch]$ rpmlint gnome-shell-extensions-system-monitor*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Mohamed El Morabity 2011-06-03 06:10:17 EDT
This extension is the second one submitted here and independant from the GNOME Shell Extensions pack (http://live.gnome.org/GnomeShell/Extensions). The first one was the fedora-logo extension:
https://bugzilla.redhat.com/show_bug.cgi?id=696357

To keep a certain consistency with this extension, may it be possible to rename your package to "gnome-shell-extension-system-monitor" (no "s" to "extension") ?
By the way, the GNOME Shell extensions already provide a similar extension, named "systemMonitor" :
   http://git.gnome.org/browse/gnome-shell-extensions/tree/extensions/systemMonitor
This extension will be enabled in the Fedora package gnome-shell-extensions very soon. To avoid confusions, shouldn't your package named gnome-shell-extension-system-monitor-applet, as for the project name?
Comment 2 Fabian Affolter 2011-06-03 07:17:38 EDT
(In reply to comment #1)
> To keep a certain consistency with this extension, may it be possible to rename
> your package to "gnome-shell-extension-system-monitor" (no "s" to "extension")
> ?

Well, I don't care how those packages are called (with or without 's'). The gnome-shell-extensions packages started to name packages like 'gnome-shell-extensions-XXX'. I thinks that we should go on with this naming schema otherwise we will confuse the users. But this is not my call.

> By the way, the GNOME Shell extensions already provide a similar extension,
> named "systemMonitor" :
>   
> http://git.gnome.org/browse/gnome-shell-extensions/tree/extensions/systemMonitor
> This extension will be enabled in the Fedora package gnome-shell-extensions
> very soon. To avoid confusions, shouldn't your package named
> gnome-shell-extension-system-monitor-applet, as for the project name?

The other extension will be named gnome-shell-extensions-systemMonitor, this one here gnome-shell-extension(s)-system-monitor. I think to use 'applet' is a bad idea because this terminology belongs to Gnome 2.x.
Comment 3 Mohamed El Morabity 2011-06-03 07:43:52 EDT
(In reply to comment #2)
> Well, I don't care how those packages are called (with or without 's'). The
> gnome-shell-extensions packages started to name packages like
> 'gnome-shell-extensions-XXX'. I thinks that we should go on with this naming
Well, I know, I'm one of the maintainers of gnome-shell-extensions ^^.
These extensions were built as subpackages of the main package "gnome-shell-extensions", and so named "gnome-shell-extensions-<foo>", as defined in the guidelines.
It seemed logical to me to refer to "third-party" extensions under the name "gnome-shell-extension-<bar>", since the package would provide only one extension "a priori". Maybe we'll need to specify guidelines for such extensions, becoming more numerous.

> > This extension will be enabled in the Fedora package gnome-shell-extensions
> > very soon. To avoid confusions, shouldn't your package named
> > gnome-shell-extension-system-monitor-applet, as for the project name?
> The other extension will be named gnome-shell-extensions-systemMonitor, this
> one here gnome-shell-extension(s)-system-monitor. I think to use 'applet' is a
> bad idea because this terminology belongs to Gnome 2.x.
Indeed, maybe 'applet' is not appropriate here. It mayb be a case to report upstream. But it doesn't change the fact that the project name is, for the moment, "system-monitor-applet". And logically, the corresponding package should reflect it in its name. Unless there are guidelines describing such a case.
Comment 5 Mohamed El Morabity 2011-06-03 08:20:27 EDT
Since I started to comment on your work, I will review your package.
Comment 6 Mohamed El Morabity 2011-06-03 14:44:35 EDT
The package works well and is OK. Just some comments:
1) You can remove the version condition on gnome-shell Requires, since the stable repos already provide GS >= 3.0.1
2) About the %posttrans/%postun, you'd better rely on the guidelines:
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GSettings_Schema
    I suppose you were inspired by the gnome-shell-extensions. This package will have its scriptlets fixed to according to the guidelines.
Comment 7 Fabian Affolter 2011-06-04 07:17:47 EDT
(In reply to comment #6)
> The package works well and is OK. Just some comments:
> 1) You can remove the version condition on gnome-shell Requires, since the
> stable repos already provide GS >= 3.0.1

removed

> 2) About the %posttrans/%postun, you'd better rely on the guidelines:
>     http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GSettings_Schema
>     I suppose you were inspired by the gnome-shell-extensions. This package
> will have its scriptlets fixed to according to the guidelines.

fixed

* Sat Jun 04 2011 Fabian Affolter <fabian@bernewireless.net> - 0.9-2
- Scriplet updated
- Version condition removed

Here are the updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gnome-shell-extension-system-monitor-applet.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gnome-shell-extension-system-monitor-applet-0.9-2.fc15.src.rpm
Comment 8 Guillaume Kulakowski 2011-06-07 02:34:47 EDT
New features are avalaible for this extension.
Localisation comming soon.
Comment 9 Hin-Tak Leung 2011-06-09 12:18:15 EDT
I also found the sys-mon applet indispensible - I often start a compile/download and then do something else but switch back to those when I see the sys-load or network activity stops. checking 'activities' etc just takes too long and too distracting.
Comment 10 Mohamed El Morabity 2011-06-11 05:35:24 EDT
Sorry for this late answer. It seems there is a 0.99 version released:
   https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tree/0.99
You could update your package to this version.
Comment 11 Fabian Affolter 2011-06-26 17:00:22 EDT
At the moment no translations and no configuration script added to this package because a proper makefile is still missing from upstream.

%changelog
* Sun Jun 26 2011 Fabian Affolter <fabian@bernewireless.net> - 1.92-1
- Updated to new upstream release 1.92

* Sat Jun 18 2011 Fabian Affolter <fabian@bernewireless.net> - 1.90-1
- Updated to new upstream release 1.90

* Wed Jun 08 2011 Fabian Affolter <fabian@bernewireless.net> - 0.99-1
- Updated to new upstream release 0.99

Here are the updated files:
Spec URL:
http://fab.fedorapeople.org/packages/SRPMS/gnome-shell-extension-system-monitor-applet.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gnome-shell-extension-system-monitor-applet-1.92-1.fc15.src.rpm
Comment 12 Fabian Affolter 2011-06-27 12:13:59 EDT
Preferences is not working because of a missing file in 1.92-1.
Comment 13 Mohamed El Morabity 2011-07-04 15:13:30 EDT
> At the moment no translations and no configuration script added to this package
> because a proper makefile is still missing from upstream.
Why not installing the locale files manually?

>Preferences is not working because of a missing file in 1.92-1.
What is this missing file? Is it possible to cherrypick this file from later commits on the git repo?
Comment 14 Mohamed El Morabity 2011-07-14 05:48:10 EDT
Ping?
Comment 15 Guillaume Kulakowski 2011-09-01 16:21:55 EDT
New tag 1.99 is avalaible : https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tree/1.99
Comment 16 Alex Lancaster 2011-09-01 16:28:36 EDT
(In reply to comment #14)
> Ping?

Hi Mohamed, if you're formally reviewing the package, you need to set the "fedora-review" flag to '?' as per reviewing procedure:

http://fedoraproject.org/wiki/Package_Review_Process#Definitions_for_fedora-review_Flag_Settings

Other scripts rely on that flag being set to know which packages are in active review or not.  Thanks.
Comment 17 Alex Lancaster 2011-09-01 16:30:48 EDT
Also, I just checked out 1.99 from github and seems to work fine on my F-15 box.  This package should probably be updated for the review to continue.  The "master" branch does *not*, however, work on F-15.
Comment 18 Mohamed El Morabity 2011-09-08 18:48:01 EDT
(In reply to comment #16)
> Hi Mohamed, if you're formally reviewing the package, you need to set the
> "fedora-review" flag to '?' as per reviewing procedure:
Thanks for the tip, I forgot it, indeed

Fabian: are you still with us?
Comment 19 Pierre-YvesChibon 2011-10-07 04:49:02 EDT
ping ?
Comment 20 Fabian Affolter 2011-10-08 16:19:32 EDT
For me the package doesn't work on Fedora 15 any longer. It seams that older gnome-shell version aren't supported any longer.
Comment 21 Mohamed El Morabity 2011-10-09 16:08:30 EDT
There is a « gnome-3.0 » branch in the git repository. Why not packaging this one for F15 and provinding the master one for F16?
Comment 22 nicolas.vieville 2011-10-27 17:14:39 EDT
Created attachment 530568 [details]
gnome-shell-extension-system-monitor-applet for F15 and F16 spec file
Comment 23 nicolas.vieville 2011-10-27 17:16:37 EDT
Created attachment 530569 [details]
gnome-shell-extension-system-monitor-applet patch for master branch and F16
Comment 24 nicolas.vieville 2011-10-27 17:17:42 EDT
Created attachment 530570 [details]
gnome-shell-extension-system-monitor-applet patch for gnome-3.0 branch and F15
Comment 25 nicolas.vieville 2011-10-27 17:26:59 EDT
Hello,

Donwload tar.gz sources file from master branch of https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet. Get attachment 530568 [details] and 530569. Spec file in ~/rpmbuild/SPECS/. 2 others files in ~/rpmbuild/SOURCES/. Then rpmbuild -ba ~/rpmbuild/SPECS/gnome-shell-extension-system-monitor-applet.spec and your done: gnome-shell-extension-system-monitor-applet for F16.

Or 

Donwload tar.gz sources file from gnome-3.0 branch of https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet. Get attachment 530568 [details] and 530570. Spec file in ~/rpmbuild/SPECS/. 2 others files in ~/rpmbuild/SOURCES/. Then rpmbuild -ba ~/rpmbuild/SPECS/gnome-shell-extension-system-monitor-applet.spec and your done: gnome-shell-extension-system-monitor-applet for F15.

Spec file and srpms build successfully for F15 and F16 with mock. Rpmlint seems to get only warnings.

Hope this could help to have gnome-shell-extension-system-monitor-applet for F15 and F16 in Fedora repositories.

Cordially,


-- 
NVieville
Comment 26 Guillaume Kulakowski 2011-10-28 13:34:53 EDT
Problem with folder witout .po file :
++ basename system-monitor-applet.po .po
+ msgfmt -o system-monitor-applet.mo system-monitor-applet.po
+ cd ..
+ for d in '`ls -d */`'
+ cd it_IT/
+ rm -f '*.mo'
+ for f in '*.po'
++ basename '*.po' .po
+ msgfmt -o '*.mo' '*.po'
msgfmt: error while opening "*.po" for reading: No such file or directory
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.P1WqYG (%build)


Erreur de construction de RPM:
    Mauvais status de sortie pour /var/tmp/rpm-tmp.P1WqYG (%build)
Comment 27 nicolas.vieville 2011-10-28 15:04:02 EDT
Hello (bonjour),

Yes this is because of bad file extensions for .po file in po/it_IT/ and po/pt_PT/ directories in the master branch.
This was reported upstream:

https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/59

My fault not to have pointed this problem in my previous messages. Apologies.

Here a spec file containing in its build section for translations an horrible sh hack to rename .pot file in a directory in .po file, only if there is no .po file yet. This is a temporary hack that shouldn't persist when correct .po file extension will be provided upstream.

Hope this will be ok now!

Cordially,


-- 
NVieville
Comment 28 nicolas.vieville 2011-10-28 15:07:25 EDT
Created attachment 530729 [details]
special translations gnome-shell-extension-system-monitor-applet for F15 and F16 spec file

This file contains the "translation hacked" spec file in response for comment #26
Comment 29 nicolas.vieville 2011-10-29 12:22:40 EDT
Created attachment 530792 [details]
New spec file for F-15 and F-16

New spec file for gnome-shell-extension-system-monitor-applet with horrible hack (need to be fixed upstream) to deals with .pot files instead of .po files in translations, and with more robust sh scripts in translation section (test presence of files before computing them).
Comment 30 nicolas.vieville 2011-11-01 13:28:40 EDT
Created attachment 531167 [details]
New spec file for F-15 and F-16 - 2

New spec file for gnome-shell-extension-system-monitor-applet with upstream code for master branch (F-16 and Gnome 3.2). 
Horrible sh hack to deals with .pot files instead of .po files in translations kept (fixed upstream) to avoid potentially errors (can be deleted if needed).
No changes for gnome-3.0 branch (F-15) for the moment in upstream.
Comment 31 Pierre-YvesChibon 2011-11-07 02:53:01 EST
@Nicolas, it is customary to give a link to the spec file rather than attached it to the ticket.

What's happening on this ticket ? There are no news from the reviewer or the submitter for a month.
Comment 32 nicolas.vieville 2011-11-07 06:27:01 EST
Hello,

Thanks for pointing this to me. As I was not the author of this review request, I thought it would be easier for him to get this attachment directly than to download it from elsewhere. Sorry for that! Probably my wish to see this package in Fedora was bigger than my attention to apply the rules for the tickets. I'll be careful for that next time.

To be complete on this, some of the issues reported upstream were corrected on the master branch, and the last spec file I uploaded take care of this.

Cordially,


-- 
NVieville
Comment 33 Fabian Affolter 2011-11-07 17:52:04 EST
To no longer stall this review I suggest that I close this one and Nicolas open a new review with his SPEC file. 

Any objections?
Comment 34 Rahul Sundaram 2011-11-15 02:36:24 EST
No.  Go ahead
Comment 35 Ismael Juma 2011-11-15 06:10:00 EST
> To no longer stall this review I suggest that I close this one and Nicolas open
> a new review with his SPEC file. 

It would be great to get a link to the new bug once that happens.
Comment 36 nicolas.vieville 2011-11-21 06:08:02 EST
(In reply to comment #33)
> To no longer stall this review I suggest that I close this one and Nicolas open
> a new review with his SPEC file. 
> 
> Any objections?

and 

(In reply to comment #35)
> It would be great to get a link to the new bug once that happens.

After a short time trying to understand how to become a Fedora contributor (very big documentation):

https://bugzilla.redhat.com/show_bug.cgi?id=755510

Hope this will get to the end!

I'm also seeking a sponsor.

Cordially,


-- 
NVieville
Comment 37 Fabian Affolter 2011-11-21 13:28:06 EST

*** This bug has been marked as a duplicate of bug 755510 ***

Note You need to log in before you can comment on or make changes to this bug.